Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225907 - Merge Review: iptraf
Summary: Merge Review: iptraf
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:06 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-23 12:03:34 UTC
dan: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:06:31 UTC
Fedora Merge Review: iptraf

http://cvs.fedora.redhat.com/viewcvs/devel/iptraf/
Initial Owner: mmaslano@redhat.com

Comment 1 Dan Horák 2007-02-16 10:46:53 UTC
Formal review is here:

OK	source files match upstream:
	    9ee433d95573d612539da4b452e6cdcbca6ab6674a88bfbf6eaf12d4902b5163 
iptraf-3.0.0.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	license field matches the actual license.
OK	license is open source-compatible. License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (i386).
OK	debuginfo package looks complete.
OK	final provides and requires looks sane:
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.


MUST FIX:

BAD	build root is NOT correct.
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BAD	rpmlint is NOT silent.

I: iptraf checking
W: iptraf summary-ended-with-dot A console-based network monitoring utility.

E: iptraf non-standard-dir-perm /var/lock/iptraf 0700
E: iptraf non-standard-dir-perm /var/log/iptraf 0700
E: iptraf non-standard-dir-perm /var/lib/iptraf 0700
	can be ignored

W: iptraf hidden-file-or-dir
/usr/share/doc/iptraf-3.0.0/Documentation/stylesheet-images/.eps
E: iptraf zero-length
/usr/share/doc/iptraf-3.0.0/Documentation/stylesheet-images/.eps
	better will be to delete this file manually, I don't think it is really needed
somewhere
	
W: iptraf log-files-without-logrotate /var/log/iptraf
	maybe a logrotate.d file could be added

I: iptraf checking
W: iptraf summary-ended-with-dot A console-based network monitoring utility.

W: iptraf hardcoded-path-in-buildroot-tag /var/tmp/%{name}-%{version}-root
	see above


Comment 2 Marcela Mašláňová 2007-04-04 14:26:50 UTC
W: iptraf hidden-file-or-dir
It's side effect of making images in Documentation. I can't remove it without
*.gif pictures. It must stay here.

I added logrotate file.
Also other problems were fixed in iptraf-3.0.0-6.

Comment 3 Dan Horák 2007-04-08 11:23:16 UTC
Looks good now, APPROVED


Note You need to log in before you can comment on or make changes to this bug.